package org.springblade.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author cy-computer
 */
public interface AppConstant {

	String PLATFORM_TENANT_ID = "000000";

	/**
	 * socket sid前缀
	 */
	@Getter
	@AllArgsConstructor
	enum SOCKET_PRE{
		USER("USER:"),
		SHOP("SHOP:"),
		;
		String name;
	}

	/**
	 * 入网企业类型
	 */
	@Getter
	@AllArgsConstructor
	enum ENTERPRISE_TYPE{
		MINICRO,
		ENTERPRISE,
	}

	/**
	 * 腾讯地图
	 */
	@Getter
	@AllArgsConstructor
	enum MAP{
		URL("https://apis.map.qq.com/ws/geocoder/v1/?location="),
		KEY("WAGBZ-EFIKU-2W2VF-4UX5F-ATB3F-HKBFU"),
		;
		String value;
	}

	/**
	 * 平台
	 */
	@Getter
	@AllArgsConstructor
	enum PLATFORM{
		MALL("MALL"),
		SHOP("SHOP"),
		;
		String name;
	}

	/**
	 * 用户类型
	 */
	@Getter
	enum USER_TYPE{
		普通用户,渠道代理,城市代理,商户,商场
	}

	/**
	 * 银行卡类型
	 */
	@Getter
	enum USER_BANK{
		用户,商户
	}

	/**
	 * 账单支付状态
	 */
	@Getter
	enum BillPayStatus{
		待付款,付款成功,取消付款,已完结
	}

	/**
	 * 提现状态
	 */
	@Getter
	enum withdrawStatus{
		WAITING,DONE,FAIL
	}

	@Getter
	enum ChatType{
		GROUP_CHAT("群聊", 1),
		PRIVATE_CHAT("私聊", 0),
		SYSTEM_NOTIFY("系统通知", 2);

		String name;
		Integer value;
		ChatType(String name, Integer value){
			this.name = name;
			this.value = value;
		}
	}

	/**
	 * 	入网类型
	 * */
	@Getter
	enum InvitationType{
		SHOP_INVITATION,
		MALL_INVITATION
	}
}
